Package org.apache.torque

# Interface Column

All Known Subinterfaces:
  `SQLFunction`

All Known Implementing Classes:
  `AbstractFunction`, `AggregateFunction`, `Avg`, `ColumnImpl`, `ColumnMap`, `Count`, `Max`, `Min`, `Sum`

public interface Column
The metadata of a column (or pseudocolumn) in a database.

Version:
  $Id: Column.java 1448414 2013-02-20 21:06:35Z tfischer $

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Returns the name of the database column (not prefixed by the table name).
  `String`
  `getFullTableName()`
  Returns the table name prefixed with the schema name if it exists.
  `String`
  `getSchemaName()`
  Returns the name of any fixed schema prefix for the column's table (if any).
  `String`
  `getSqlExpression()`
  Returns the SQL expression for the column, qualified by the table name but not by the schema name.
  `String`
  `getTableName()`
  Returns the name of the associated table (not prefixed by the schema name).

- ## Method Details

  - ### getColumnName

    String getColumnName()
    Returns the name of the database column (not prefixed by the table name).
    Returns:
      the name of the column, may be null. (e.g. for the pseudocoulumn count(*)). Is not blank.

  - ### getTableName

    String getTableName()
    Returns the name of the associated table (not prefixed by the schema name).
    Returns:
      the name of the table, may be null but not blank.

  - ### getSchemaName

    String getSchemaName()
    Returns the name of any fixed schema prefix for the column's table (if any).
    Returns:
      the schema name, or null if the schema is not known.

  - ### getFullTableName

    String getFullTableName()
    Returns the table name prefixed with the schema name if it exists. I.e. if a schema name exists, the result will be schemaName.tableName, and otherwise it will just be tableName.
    Returns:
      the fully qualified table name of the column, may be null but not blank.

  - ### getSqlExpression

    String getSqlExpression()
    Returns the SQL expression for the column, qualified by the table name but not by the schema name. This can also be a pseudocolumn (e.g. count(*)).
    Returns:
      the SQL expression for the column, not null.